%define section	free
%define gcj_support 1

Name:		oldkilim
Version:	1.1.3
Release:	%mkrel 2.1
Epoch:		0
Summary:	A generic configuration framework for Java
License:	BSD
URL:		http://kilim.objectweb.org/
Group:		Development/Java
Source0:	Kilim_1_1_3-src-RHCLEAN.tar.bz2
Requires:	nanoxml-lite
BuildRequires:	ant
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:	nanoxml-lite
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
# libgcj aot-compiled native libraries
BuildRequires:    java-gcj-compat-devel >= 1.0.31
Requires(post):   java-gcj-compat >= 1.0.31
Requires(postun): java-gcj-compat >= 1.0.31

%description
Kilim is a generic configuration framework for Java, which can be used
easily with existing applications, frameworks, and systems. It was
originally built into Jonathan in order to allow fine configuration of
its various frameworks (protocols, resource management policies, etc.)
without requiring specific code, and has since grown independently of
Jonathan.

%package	javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description	javadoc
Javadoc for %{name}.

%prep
%setup -q -n kilim
find . -name "*.jar" -exec rm -f {} \;
find . -type d -name "CVS" | xargs rm -rf

%build
export CLASSPATH=$(build-classpath nanoxml-lite)
pushd externals
for jar in $(echo $CLASSPATH | sed 's/:/ /g'); do
ln -sf ${jar} .
done
popd
%ant distrib javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -m 644 distrib/kilim.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -m 644 distrib/kilim-tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-tools-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)

# javadoc
install -p -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr doc/apis/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -sf %{name}-%{version} %{name})

%if %{gcj_support}
%{_jvmdir}/java-gcj/bin/aot-compile-rpm
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{gcj_support}
%post
%{_bindir}/rebuild-gcj-db

%postun
%{_bindir}/rebuild-gcj-db
%endif

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ $1 -eq 0 ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%{_javadir}/*.jar
%if %{gcj_support}
%attr(-,root,root) %{_libdir}/gcj/%{name}
%endif

%files javadoc
%defattr(0644,root,root,0755)
%dir %{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}-%{version}/*
%ghost %dir %{_javadocdir}/%{name}

%changelog
* Sat Sep 10 2005 David Walluck <walluck@mandriva.org> 0:1.1.3-2.1mdk
- release

* Fri Jul 29 2005 Gary Benson <gbenson@redhat.com> 0:1.1.3-2jpp_3fc
- Build on ia64, ppc64, s390 and s390x.
- Switch to aot-compile-rpm (also BC-compiles tools).

* Mon Jun 27 2005 Gary Benson <gbenson@redhat.com> 0:1.1.3-2jpp_2fc
- BC-compile the main jarfile.

* Thu Jun 16 2005 Gary Benson <gbenson@redhat.com> 0:1.1.3-2jpp_1fc
- Build into Fedora.

* Thu Jun  9 2005 Gary Benson <gbenson@redhat.com>
- Remove jarfiles from the tarball.

* Mon Nov 15 2004 Fernando Nasser <fnasser@redhat.com> 0:1.1.3-2jpp_1rh
- First Red Hat build

* Tue Aug 24 2004 Fernando Nasser <fnasser@redhat.com> 0:1.1.3-2jpp
- Rebuild with Ant 1.6.2

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:1.1.3-1jpp
- release
